POS API / Terminals

Terminals

Retrieve the list of POS terminals configured for your merchant account.

GET {{base_url}}/terminals

Query Parameters

Field Type Details
active_only boolean (opt) Set to true to return only active terminals. Default: false

Response Fields

Field Description
id Terminal unique ID
name Terminal display name
location Physical location or description
currency_code Default currency for the terminal
is_active Whether the terminal is currently active
created_at ISO 8601 creation timestamp

Example Request

GET /merchant-api/pos/v1/terminals?active_only=true
Authorization: Basic {base64_credentials}

Success Response 200

{
  "message": {
    "success": ["POS terminals retrieved"]
  },
  "data": {
    "terminals": [
      {
        "id": 1,
        "name": "Counter A",
        "location": "Main Store - Entrance",
        "currency_code": "EUR",
        "is_active": true,
        "created_at": "2024-01-10T09:00:00+00:00"
      },
      {
        "id": 2,
        "name": "Counter B",
        "location": "Main Store - Back",
        "currency_code": "EUR",
        "is_active": true,
        "created_at": "2024-01-10T09:05:00+00:00"
      }
    ]
  }
}